package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者获得奖品名细 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterTradeOrderAwardEntity;
public interface VvPromoterTradeOrderAwardService extends IService<VvPromoterTradeOrderAwardEntity> {



	VvPromoterTradeOrderAwardEntity selectVvPromoterTradeOrderAwardById(Long id);


	Long insertVvPromoterTradeOrderAward(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward);


	Long insertOrUpdateVvPromoterTradeOrderAward(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward);


	int updateVvPromoterTradeOrderAwardById(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward);


	int updateCoverVvPromoterTradeOrderAwardById(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward);


	int deleteVvPromoterTradeOrderAwardById(Long id);


}